package com.tzld.piaoquan.recommend.server.common.enums;

/**
 * AppType
 * 目前只维护 0 1 4 13 4个应用
 *
 * @author supeng
 * @date 2020/08/19
 */
public enum AppTypeEnum {
    /**
     * vlog小程序
     */
    VLOG(0, "VLOG"),
    /**
     * 票圈视频APP
     */
    QING_QU_APP(1, "轻趣视频APP"),
    SMILE(2, "搞笑视频"),
    LOVE_MOVIE(3, "爱电影"),
    /**
     * 票圈视频小程序
     */
    LOVE_LIVE(4, "爱生活"),
    /**
     * 长视频小程序
     */
    LONG_VIDEO(5, "长视频"),
    SHORT_VIDEO(6, "短视频"),
    SURPRISE(7, "惊奇视频"),
    PC(8, "PC端"),
    CIRCLE_APP(9, "票圈长视频APP"),
    LONG_VIDEO_LITE(10, "票圈长视频lite"),
    /**
     * 票圈相册小程序
     */
    ALBUM(11, "票圈相册"),
    H5(12, "H5端"),
    /**
     * 极速版APP
     */
    APP_SPEED(13, "APP极速"),
    SMALL_SPEED(14, "小程序极速"),
    WAN_NENG_VIDEO(17, "万能影视屋（票圈|信仰之路）"),
    LAO_HAO_KAN_VIDEO(18, "老好看视频"),
    ZUI_JING_QI(19, "票圈最惊奇"),
    PIAO_QUAN_VIDEO_PLUS(21, "票圈视频+"),
    JOURNEY(22, "票圈足迹"),
    PIAO_QUAN_MEIHAO_ZHUFU(25, "票圈美好祝福"),
    ADMIN_CRAWLER(888888, "后台-爬虫"),
    OTHERS(999999, "其他的调用方，比如后台管理系统");

    private int code;
    private String desc;

    public int getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    private AppTypeEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }
}
